%define majver %(echo %version | cut -d. -f 1-2)

Name:          nautilus
Version:       3.16.1
Release:       1mamba
Summary:       A graphical shell for the GNOME desktop enviornment
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnome.org/projects/nautilus
Source:        ftp://ftp.gnome.org/pub/gnome/sources/nautilus/%{majver}/nautilus-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gnome-desktop-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libat-spi2-atk-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libexempi-devel
BuildRequires: libexif-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libicu-devel
BuildRequires: liblzma-devel
BuildRequires: libnotify-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libselinux-devel
BuildRequires: libsqlite-devel
BuildRequires: libtracker-devel
BuildRequires: libuuid-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libfam-devel
BuildRequires: gnome-menus-devel
BuildRequires: libgcc
BuildRequires: libgail-devel
BuildRequires: libtracker-devel >= 1.0
BuildRequires: gnome-desktop-devel >= %{majver}
Requires:      gvfs
Provides:      nautilus-cd-burner
Obsoletes:     nautilus-cd-burner
Provides:      libeel
Obsoletes:     libeel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Nautilus is a graphical shell for the GNOME desktop enviornment that makes it easy to manage your files and the rest of your system.

%package -n    libnautilus-extension
Summary:       A library for extending nautilus file manager functionalities
Group:         Development/Libraries

%description -n libnautilus-extension
A library for extending nautilus file manager functionalities.
This package contains static libraries and header files need for development.

%package -n    libnautilus-extension-devel
Summary:       Devel package for libnautilis
Group:         Development/Libraries
Requires:      libnautilus-extension = %{?epoch:%epoch:}%{version}-%{release}

%description -n libnautilus-extension-devel
A library for extending nautilus file manager functionalities.
This package contains static libraries and header files need for development.

%package         docs
Summary:         Documentation for %{name}
Group:           Documentation
Requires:        %{name} = %{version}-%{release}

%description     docs
Documentation for %{name}.

%prep
%setup -q

%build
%configure --disable-update-mimedb
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
:

%postun
if [ $1 -eq 0 ]; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/nautilus-autostart.desktop
%{_bindir}/nautilus
%{_bindir}/nautilus-connect-server
%{_bindir}/nautilus-autorun-software
%{_libexecdir}/nautilus-convert-metadata
#%{_libexecdir}/nautilus-shell-search-provider
%{_datadir}/gnome-shell/search-providers/nautilus-search-provider.ini
%{_datadir}/GConf/gsettings/nautilus.convert
%{_datadir}/dbus-1/services/org.gnome.Nautilus.service
%{_datadir}/dbus-1/services/org.freedesktop.FileManager1.service
#%{_datadir}/dbus-1/services/org.gnome.Nautilus.SearchProvider.service
%{_datadir}/glib-2.0/schemas/org.gnome.nautilus.gschema.xml
%{_datadir}/appdata/org.gnome.Nautilus.appdata.xml
%{_datadir}/applications/org.gnome.Nautilus.desktop
%{_datadir}/applications/nautilus-autorun-software.desktop
%{_datadir}/applications/nautilus-classic.desktop
%{_datadir}/applications/nautilus-connect-server.desktop
#%{_datadir}/mime/*
%{_mandir}/man1/nautilus-connect-server.1*
%{_mandir}/man1/nautilus.1*
%doc COPYING

%files -n libnautilus-extension
%defattr(-,root,root)
%{_libdir}/libnautilus-extension.so.*
%dir %{_libdir}/nautilus/extensions-3.0
%{_libdir}/nautilus/extensions-3.0/*
%{_libdir}/girepository-1.0/Nautilus-3.0.typelib
%doc AUTHORS COPYING.LIB

%files -n libnautilus-extension-devel
%defattr(-,root,root)
%{_libdir}/libnautilus-extension.la
%{_libdir}/libnautilus-extension.so
%dir %{_includedir}/nautilus/libnautilus-extension
%{_includedir}/nautilus/libnautilus-extension/*.h
%{_datadir}/gir-1.0/Nautilus-3.0.gir
%{_libdir}/pkgconfig/*.pc
%doc NEWS README THANKS

%files docs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/libnautilus-extension
%doc %{_datadir}/gtk-doc/html/libnautilus-extension/*.html
%doc %{_datadir}/gtk-doc/html/libnautilus-extension/*.png
%doc %{_datadir}/gtk-doc/html/libnautilus-extension/index.sgml
%doc %{_datadir}/gtk-doc/html/libnautilus-extension/style.css
%doc %{_datadir}/gtk-doc/html/libnautilus-extension/libnautilus-extension.devhelp2

%changelog
* Thu Apr 30 2015 Automatic Build System <autodist@mambasoft.it> 3.16.1-1mamba
- automatic version update by autodist

* Wed Nov 26 2014 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic version update by autodist

* Fri Nov 14 2014 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic version update by autodist

* Thu Oct 09 2014 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Fri Jul 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.2-2mamba
- rebuilt with tracker 1.0

* Wed May 14 2014 Automatic Build System <autodist@mambasoft.it> 3.12.2-1mamba
- automatic version update by autodist

* Sun Apr 13 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Mon Nov 04 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Wed Oct 30 2013 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Mon Jun 17 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.8.0-2mamba
- rebuilt with gnome-desktop >= 3.8.0

* Mon Apr 01 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Fri Dec 07 2012 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Wed Oct 10 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Wed Aug 01 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Mon Apr 02 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- update to 3.4.0

* Wed Nov 09 2011 Automatic Build System <autodist@mambasoft.it> 3.3.1.1-1mamba
- automatic version update by autodist

* Tue Oct 18 2011 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Tue Oct 11 2011 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Tue Aug 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-3mamba
- added requirement for gvfs

* Tue Aug 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-2mamba
- rebuilt with libevolution-data-server 3

* Sun Jul 24 2011 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Tue Dec 28 2010 Automatic Build System <autodist@mambasoft.it> 2.32.2.1-1mamba
- automatic update by autodist

* Wed Dec 08 2010 Automatic Build System <autodist@mambasoft.it> 2.32.2-1mamba
- automatic update to 2.32.2 by autodist

* Sat Nov 13 2010 Automatic Build System <autodist@mambasoft.it> 2.32.1-1mamba
- automatic update to 2.32.1 by autodist

* Sun Oct 10 2010 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic update to 2.32.0 by autodist

* Mon May 10 2010 Automatic Build System <autodist@mambasoft.it> 2.30.1-1mamba
- automatic update to 2.30.1 by autodist

* Tue Dec 15 2009 Automatic Build System <autodist@mambasoft.it> 2.28.4-1mamba
- automatic update to 2.28.4 by autodist

* Mon Dec 14 2009 Automatic Build System <autodist@mambasoft.it> 2.28.3-1mamba
- automatic update to 2.28.3 by autodist

* Tue Dec 01 2009 Automatic Build System <autodist@mambasoft.it> 2.28.2-1mamba
- automatic update to 2.28.2 by autodist

* Tue Oct 20 2009 Automatic Build System <autodist@mambasoft.it> 2.28.1-1mamba
- automatic update by autodist

* Mon Sep 28 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- automatic update to 2.28.0 by autodist

* Tue May 19 2009 Automatic Build System <autodist@mambasoft.it> 2.26.3-1mamba
- automatic update to 2.26.3 by autodist

* Tue Apr 14 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.2-1mamba
- automatic update to 2.26.2 by autodist

* Tue Apr 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.1-1mamba
- automatic update to 2.26.1 by autodist

* Tue Mar 31 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0-1mamba
- automatic update to 2.26.0 by autodist

* Mon Nov 24 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.2-1mamba
- automatic update to 2.24.2 by autodist

* Tue Oct 21 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.1-1mamba
- automatic update to 2.24.1 by autodist

* Fri Sep 26 2008 gil <puntogil@libero.it> 2.24.0-1mamba
- update to 2.24.0

* Fri Aug 29 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.22.5.1-1mamba
- update to 2.22.5.1

* Mon Jul 07 2008 gil <puntogil@libero.it> 2.22.4-1mamba
- update to 2.22.4
- build with: gnome-desktop-devel =  2.22.2; libeel-devel =  2.22.2

* Wed Dec 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.0-1mamba
- package created by autospec
